expand use

This commit is contained in:
Louis Abel 2021-07-07 19:54:12 -07:00
parent 072b711a05
commit 8ec4536e49
Signed by: label
GPG Key ID: 6735C0E1BD65D048
7 changed files with 90 additions and 48 deletions

View File

@ -1,51 +1,30 @@
# To be sourced by scripts to use
# Revision must always start with a major number
REVISION=8.4
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
# comment or blank if needed
APPEND_TO_DIR="-RC2"
# Temporary probably. This makes it so if RLVER=... is called before the script
# it will set the version for the variables to call up. This was easier than
# creating duplicates of a bunch of stuff. Default version is 8.
if [ -z "$RLVER" ]; then
export RLVER=8
fi
STAGING_ROOT="/mnt/repos-staging"
PRODUCTION_ROOT="/mnt/repos-production"
# relative to ${ENV}_ROOT
CATEGORY_STUB="mirror/pub/rocky"
RELEASE_DIR="${CATEGORY_STUB}/${REVISION}${APPEND_TO_DIR}"
# should be overriden in other commons
#RELEASE_DIR="${CATEGORY_STUB}/${REVISION}${APPEND_TO_DIR}"
# Define arches we support
ARCHES=(x86_64 aarch64)
# Set all repos that have no comps/groups associated with them. This is even in
# cases where repos will not be available by normal means. It's just for
# consistency.
NONMODS_REPOS=(
extras
Devel
nfv
storage/gluster9
plus
)
#Source Major common
test -f "$(dirname "$0")/common_${RLVER}" && source "$(dirname "$0")/common_${RLVER}"
if [ "$?" -ne 0 ]; then
echo "Could not source common_${RLVER}"
exit 1
fi
# These repos have comps/groups, except for debuginfo and sources
MODS_REPOS=(
BaseOS
AppStream
HighAvailability
ResilientStorage
PowerTools
)
ALL_REPOS=(
"${NONMODS_REPOS[@]}"
"${MODS_REPOS[@]}"
)
# These repos have modules
MODS=(
AppStream
PowerTools
)
# Combined variables based on common data
REV="${REVISION}${APPEND_TO_DIR}"

48
sync/common_8 Normal file
View File

@ -0,0 +1,48 @@
# To be sourced by scripts to use
# Revision must always start with a major number
REVISION=8.4
MAJOR="${REVISION:0:1}"
MINOR="${REVISION:2:1}"
# comment or blank if needed
APPEND_TO_DIR="-RC2"
STAGING_ROOT="/mnt/repos-staging"
PRODUCTION_ROOT="/mnt/repos-production"
# relative to ${ENV}_ROOT
CATEGORY_STUB="mirror/pub/rocky"
RELEASE_DIR="${CATEGORY_STUB}/${REVISION}${APPEND_TO_DIR}"
# Set all repos that have no comps/groups associated with them. This is even in
# cases where repos will not be available by normal means. It's just for
# consistency.
NONMODS_REPOS=(
extras
Devel
nfv
storage/gluster9
plus
)
# These repos have comps/groups, except for debuginfo and sources
MODS_REPOS=(
BaseOS
AppStream
HighAvailability
ResilientStorage
PowerTools
)
ALL_REPOS=(
"${NONMODS_REPOS[@]}"
"${MODS_REPOS[@]}"
)
# These repos have modules
MODS=(
AppStream
PowerTools
)

View File

@ -13,6 +13,7 @@
# Source common variables
# shellcheck disable=SC2046,1091,1090
export RLVER=8
source "$(dirname "$0")/common"
echo "** Updating source repos"

View File

@ -5,7 +5,7 @@
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
REV=${1}
REV=${REVISION}${APPEND_TO_DIR}
cd "${STAGING_ROOT}/${CATEGORY_STUB}/${REV}" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?

View File

@ -4,14 +4,18 @@
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
if [[ $# -eq 0 ]] || [[ $# -eq 1 ]]; then
echo "Not enough information."
echo "You must use: shortname sig"
exit 1
fi
# Major Version (eg, 8)
MAJ=${1}
MAJ=${RLVER}
# Short name (eg, NFV, extras, Rocky, gluster9)
SHORT=${2}
# The directory where we're going to, usually MAJOR.MINOR, sometimes it's MAJOR.MINOR-RCX
REV=${3}
SHORT=${1}
# Note, this should be lowercase. eg, storage.
SIG=${4}
SIG=${2}
cd "/mnt/compose/${MAJ}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?

View File

@ -4,12 +4,15 @@
# shellcheck disable=SC2046,1091,1090
source "$(dirname "$0")/common"
if [[ $# -eq 0 ]]; then
echo "You must specify a short name."
exit 1
fi
# Major Version (eg, 8)
MAJ=${1}
MAJ=${RLVER}
# Short name (eg, NFV, extras, Rocky, gluster9)
SHORT=${2}
# The directory where we're going to, usually MAJOR.MINOR, sometimes it's MAJOR.MINOR-RCX
REV=${3}
SHORT=${1}
cd "/mnt/compose/${MAJ}/latest-${SHORT}-${MAJ}/compose" || { echo "Failed to change directory"; ret_val=1; exit 1; }
ret_val=$?

7
sync/test.sh Normal file
View File

@ -0,0 +1,7 @@
#!/bin/bash
# tests that the variables work
source "$(dirname "$0")/common"
echo ${RELEASE_DIR}
echo ${STAGING_ROOT}/${CATEGORY_STUB}/${REV}
echo $NONMODS_REPOS
echo ${REV}